
Redmine - Defect #24641

Project close -> Error 404

2016-12-18 11:46 - Furby Lon

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.1

Description

Hi,

I've a Brand new Redmine 3.3.1 installation with a single "Test" Project. If i try to close the Project i am getting the Error:

/projects/test/close

Page not found

The page you were trying to access doesn't exist or has been removed.

Back

Loggins shows:

Processing by ProjectsController#show as HTML

Parameters: {"id"=>"test"}

Current user: admin (id=1)

Rendered projects/_members_box.html.erb (3.0ms)

Rendered projects/_sidebar.html.erb (1.8ms)

Rendered projects/show.html.erb within layouts/base (77.2ms)

Completed 200 OK in 710ms (Views: 393.1ms | ActiveRecord: 50.5ms)

Started GET "/projects/test/close" for 127.0.0.1 at 2016-12-18 11:08:41 +0100

ActionController::RoutingError (No route matches [GET] "/projects/test/close"):

actionpack (4.2.7.1) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

actionpack (4.2.7.1) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

railties (4.2.7.1) lib/rails/rack/logger.rb:38:in `call_app'

railties (4.2.7.1) lib/rails/rack/logger.rb:20:in `block in call'

activesupport (4.2.7.1) lib/active_support/tagged_logging.rb:68:in `block in tagged'

activesupport (4.2.7.1) lib/active_support/tagged_logging.rb:26:in `tagged'

activesupport (4.2.7.1) lib/active_support/tagged_logging.rb:68:in `tagged'

railties (4.2.7.1) lib/rails/rack/logger.rb:20:in `call'

actionpack (4.2.7.1) lib/action_dispatch/middleware/request_id.rb:21:in `call'

rack (1.6.5) lib/rack/methodoverride.rb:22:in `call'

rack (1.6.5) lib/rack/runtime.rb:18:in `call'

activesupport (4.2.7.1) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'

actionpack (4.2.7.1) lib/action_dispatch/middleware/static.rb:120:in `call'

rack (1.6.5) lib/rack/sendfile.rb:113:in `call'

railties (4.2.7.1) lib/rails/engine.rb:518:in `call'

railties (4.2.7.1) lib/rails/application.rb:165:in `call'

rack (1.6.5) lib/rack/lock.rb:17:in `call'

rack (1.6.5) lib/rack/content_length.rb:15:in `call'

rack (1.6.5) lib/rack/handler/webrick.rb:88:in `service'

/usr/local/lib/ruby/2.3.0/webrick/httpserver.rb:140:in `service'

/usr/local/lib/ruby/2.3.0/webrick/httpserver.rb:96:in `run'

/usr/local/lib/ruby/2.3.0/webrick/server.rb:296:in `block in start_thread'

Env:

Environment:

Redmine version                3.3.1.stable

Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux]

Rails version                  4.2.7.1

Environment                    production
Database adapter               PostgreSQL

History

#1 - 2016-12-20 23:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Looks like javascript is disabled in your browser, you have to turn it on.
